VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Zip Example"
   ClientHeight    =   765
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   2985
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   765
   ScaleWidth      =   2985
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdUnpack 
      Caption         =   "Unpack the zip archive"
      Height          =   495
      Left            =   1560
      TabIndex        =   1
      Top             =   120
      Width           =   1215
   End
   Begin VB.CommandButton cmdPack 
      Caption         =   "Create the zip archive"
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdPack_Click()

    'Find a list of files to pack into a Zip
    Dim cFiles As Collection
    Set cFiles = New Collection
    
    Dim sDir As String
    sDir = Dir(App.path & "\*.*")
    Do While sDir <> ""
        cFiles.Add sDir
        sDir = Dir()
    Loop
    
    'Try to create the zip file
    If CreateZipFile(App.path, cFiles, App.path & _
        "\archive.zip") Then
        
        MsgBox "The contents of the folder """ & App.path & _
            """ have been added to ""archive.zip""", vbInformation
            
    Else
    
        MsgBox "There was an error creating the archive.", vbCritical
        
    End If

End Sub

Private Sub cmdUnpack_Click()

    'Make sure the destination archive doesn't already exists
    If Dir(App.path & "\archive.zip") = "" Then
        MsgBox "Archive folder not found", vbCritical
        Exit Sub
    End If
    
    'Don't clobber any files, so just abort if the output
    ' directory exists
    If Dir(App.path & "\output", vbDirectory) <> "" Then
        MsgBox "Output directory already exists", vbCritical
        Exit Sub
    End If
    
    'Make the output directory
    MkDir App.path & "\output"
    
    'Expand the zip file into the output directory
    If ExpandZipFile(App.path & "\output", App.path & _
        "\archive.zip") Then
        
        MsgBox "The contents of the archive ""archive.zip"" " & _
            "have been extracted to """ & App.path & _
            "\output""", vbInformation
        
    Else
    
        MsgBox "There was an error creating the archive.", _
            vbCritical
        
    End If

End Sub

